[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AutoSize

Allows automatic adjustment of the size for the control, according to its content.

## Declaration

Source position: controls.pp line 1789

`public property TControl.AutoSize : Boolean read FAutoSize write SetAutoSize default False;`

## Description

The action performed depends on the concrete control type. For example, a label or button can become bigger or smaller to accommodate a longer or shorter caption.

Default value for the property is False, and disables auto-sizing for the control instance.

## See also

Using AutoSize |  | AutoSize - boolean property that permits the size of a control to be adjusted automatically.